###################
## Mandatory Fields.
###################

# Give the path of the kubeconfig_path: /home/user/.kube/config
# we can access the kubernetes cluster.
# Give absolute file path.
# Use following command to get the full file path
# `readlink -f <file>`
kubeconfig_path: ""

# Using which domain name, you'll be accessing OpenReplay
# for example: domain_name: "openreplay.mycompany.com"
#
# Without domain name session replay is not possible, because we've to
# create signed url for s3 objects.
domain_name: ""

###################
## Optional Fields.
###################

# If you've private registry, please update the details here.
docker_registry_username: ""
docker_registry_password: ""
docker_registry_url: "rg.fr-par.scw.cloud/foss"
image_tag: "v1.3.0"
openreplay_version: "v1.3.0"

# Nginx ssl certificates.
# in cert format
# Give absolute file path.
# Use following command to get the full file path
# `readlink -f <file>`
# For example:
# nginx_ssl_cert_file_path: "/home/openreplay/nginx-cert.crt"
# nginx_ssl_key_file_path: "/home/openreplay/nginx-key.pem"
#
# By Default, we'll create a self signed certificate for nginx, and populate the values here.
# Once you've proper domain name, and ssl certificate
# Change the following variables accordingly.
nginx_ssl_cert_file_path: ""
nginx_ssl_key_file_path: ""

# This key is used to create password for chalice api requests.
# Create a strong password.
# By default, a default key will be generated and will update the value here.
jwt_secret_key: ""

# Random password for minio,
# If not defined, will generate at runtime.
# Use following command to generate password
# `openssl rand -base64 30`
minio_access_key: ""
minio_secret_key: ""

# If you're using enterprise edition.
# Insert the enterprise_edition_License key which you got.
enterprise_edition_license: ""

# Enable monitoring
# If set, monitoring stack will be installed
# including, prometheus, grafana and other core components,
# to scrape the metrics. But this will cost, additional resources (cpu and memory).
# Monitoring won't be installed on base installation.
enable_monitoring: "false"
# Password for grafana.
# If password is not given, it'll be generated, and updated here.
#
# Use following command to generate password 
# `openssl rand -base64 30`
#
# Username: admin
grafana_password: ""

## Advanced
# If you need to override the default cpu/memory allocation of databases.
db_resource_override:
  postgresql: {}
    # resources:
    #   limits:
    #     cpu: 1000m
    #     memory: 1024Mi
    #   requests:
    #     cpu: 250m
    #     memory: 256Mi
  redis: {}
  clickhouse: {}

## Sane defaults
s3_endpoint: "http://minio.db.svc.cluster.local:9000"
aws_region: "us-east-1"
kafka_endpoint: kafka.db.svc.cluster.local:9042
kafka_ssl: false
postgres_endpoint: postgresql.db.svc.cluster.local
postgres_port: 5432
postgres_db_name: postgres
postgres_db_user: postgres
postgres_db_password: asayerPostgres
redis_endpoint: redis-master.db.svc.cluster.local:6379
email_host: ''
email_port: '587'
email_user: ''
email_password: ''
email_use_tls: 'true'
email_use_ssl: 'false'
email_ssl_key: ''
email_ssl_cert: ''
email_from: OpenReplay<do-not-reply@openreplay.com>
